Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::view< View > Struct Template Reference
Views
Inheritance diagram for ranges::views::view< View >:

## Public Member Functions
template<typename Rng , typename... Rest>
constexpr auto | operator() (Rng &&rng, Rest &&... rest) const -> invoke_result_t< View const &, Rng, Rest... > requires viewable_range< Rng > &&invocable< View const &, Rng, Rest... >
template<typename... Ts, typename V = View>
constexpr auto | operator() (Ts &&... ts) return make_view(view_access
constexpr | view (View a) noexcept(std::is_nothrow_move_constructible< View >::value)